Subject: bug#75080: guix pull fails on arm64 due to cmake DEB self-tests

From: "Leo Famulari" <[email-masked]>
Date: Wed, 26 Feb 2025 13:14:02 -0500

On Wed, Feb 26, 2025, at 03:41, Simon Josefsson wrote:
> Hi.  What do you mean by disabled isolation?  In the initial e-mail I
> quoted the set of commands used which involved:
>
> (guix-daemon --disable-chroot --build-users-group=_guixbuild &
>
> Is that what you mean?

Yes, I'm sorry I missed that and made you spell it out!

> Is building things without build isolation not supposed to work?

Not really. We do accept help patching upstream build scripts to fix issues like this one, but I don't think anyone is regularly testing Guix without the build chroot, and the warranty is definitely void when Guix is used this way. I think that countless build will break without the chroot, as build scripts will look for dependencies in the "wrong" (i.e. non-Guixy) places.